Page MenuHomePhabricator

Package bloomd
Closed, ResolvedPublic

Description

http://armon.github.io/bloomd/

Bloomd is "a high-performance C server which is used to expose bloom filters and operations over them to networked clients. It uses a simple ASCII protocol which is human readable, and similar to memcached."

I propose we use a persistent bloom filter during the migration to content-based addressing of media files. The bloom filter would be updated with the name of each image file which has been moved to a content-based hash filename. We would use it in SwiftMedia rewrite.py to determine whether the request URL represents a file which has been migrated.

Event Timeline

ori created this task.Dec 6 2015, 12:18 AM
ori raised the priority of this task from to Normal.
ori updated the task description. (Show Details)
ori added a subscriber: ori.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptDec 6 2015, 12:18 AM

Change 257167 had a related patch set uploaded (by Ori.livneh):
Imported Upstream version 0.7.4

https://gerrit.wikimedia.org/r/257167

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Dec 6 2015, 3:37 AM

Change 257167 merged by Ori.livneh:
Imported Upstream version 0.7.4

https://gerrit.wikimedia.org/r/257167

MarkTraceur moved this task from Untriaged to Tracking on the Multimedia board.Dec 5 2016, 10:09 PM
MarkTraceur added a subscriber: MarkTraceur.

It looks like this is done, can someone confirm or explain what else needs doing, so someone else can pick this up if needed?

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptDec 5 2016, 10:10 PM
Gilles lowered the priority of this task from Normal to Low.Dec 7 2016, 7:24 PM
Krinkle closed this task as Resolved.Jan 4 2019, 8:46 PM
Krinkle removed a project: Patch-For-Review.